<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.13 (2018/08/10)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
session_start();

/**
 * Déclaration et instanciation du controller
 */
require ADMR_CORE_PATH.'/controller.php';
require ADMR_CORE_PATH.'/model.php';

$params = explode('/', ADMR_CONTROLLER);

// Addon
if ($params[0] == 'addons'
    && !empty($params[1]) && !preg_match('`[^a-z0-9_\-]`i', $params[1]) && is_dir(ADMR_ADDONS_PATH.'/'.$params[1].'/controllers/admin')) { // addons
    $controller = (!empty($params[2]) && !preg_match('`[^a-z0-9_\-]`i', $params[2])) ? $params[2] : $ADMR_config['controller_by_default']['admin'];
    $method = (!empty($params[3]) && !preg_match('`[^a-z0-9_\-]`i', $params[3])) ? $params[3] : 'index';
    
    $controller = 'admin_'.$controller.'_controller';
    
    require ADMR_ADDONS_PATH.'/'.$params[1].'/controllers/admin/'.strtolower($controller).'.php';

    require ADMR_ADDONS_PATH.'/'.$params[1].'/configs/'.$params[1].'_constants.php';   // Chargement des constantes de l'addon

    // Chargement des paramètres du plugin coté admin
    // Nécessaire pour définir le nom et l'url du plugin affiché dans fil ariane et dans titre de la boite centrale
    include CHEMIN.'admin/plugins/'.((strpos($controller, '_writers_') === FALSE) ? $params[1] : ADMR_DIRNAME).'/plugin.inc';    
    //
}
// No addon
else {
    $controller = (!empty($params[0]) && !preg_match('`[^a-z0-9_\-]`i', $params[0])) ? $params[0] : $ADMR_config['controller_by_default']['admin'];
    $method = (!empty($params[1]) && !preg_match('`[^a-z0-9_\-]`i', $params[1])) ? $params[1] : 'index';
    
    $controller = 'admin_'.$controller.'_controller';
   
    require ADMR_CONTROLLERS_PATH.'/admin/'.strtolower($controller).'.php';   

    // Chargement des paramètres du plugin coté admin
    // Nécessaire pour définir le nom et l'url du plugin affiché dans fil ariane et dans titre de la boite centrale
    include CHEMIN.'admin/plugins/'.ADMR_DIRNAME.'/plugin.inc';   
    //   
}

$controller = new $controller(); // Instanciation

// --------------------------------------------------------------------

/**
 * View
 */
$headinc .= $controller -> set_header_addons(); // Ajout dans l'entête
$title_page = $controller -> set_title_page();  // Titre de la page
$plugin_name = $plugin_admin_name;

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '  // Fil d'ariane
         . '<a href="admin.php?lng='.$lng.'&pg=plugin&plug='.$plugin_admin_url.'">'.$plugin_name.'</a> > '
         . str_replace('Admin - ', '', $title_page);

ob_start();
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($plugin_name.' - '.$title_page, '100%');
if (method_exists($controller, $method)) {
    unset($params[0], $params[1]);
    call_user_func_array(array($controller, $method), $params);
} else {
    $controller -> index();
}
btable();
include CHEMIN.'admin/bpage.inc';
@ob_end_flush();

// --------------------------------------------------------------------